#
# spec file for package libpmemobj-cpp
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libpmemobj-cpp
%define lname   libpmemobj-cpp0
Summary:        C++ bindings for libpmemobj
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Version:        1.5
Release:        lp151.2.1
URL:            http://pmem.io/pmdk/
Source:         https://github.com/pmem/libpmemobj-cpp/archive/1.5.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libpmemobj) >= 1.4
ExclusiveArch:  x86_64

%description
There are three main features of the C++ bindings to libpmemobj:

  * the `persistent_ptr<>` smart pointer,
  * the `transaction`, which comes in two flavours - scoped and closure,
  * the `p<>` property.

The main issue with the C API is a large set of macros and difficulty
in manual usage of `setjmp`.

%package devel
Summary:        C++ bindings for libpmemobj
Group:          Development/Libraries/C and C++
Obsoletes:      libpmemobj++-devel < %{version}
Provides:       libpmemobj++-devel = %{version}

%description devel
This package contains the header files for pmemobj's C++ interface.

%package devel-doc
Summary:        Example C++ programs for libpmemobj++
Group:          Documentation/Other

%description devel-doc
Example C++ programs (with source) on how to use libpmemobj++.

%prep
%setup -q

%build
%cmake -DCMAKE_INSTALL_DOCDIR="%_docdir/%name"
make %{?_smp_mflags}

%install
%cmake_install

%files devel
%doc LICENSE
%_includedir/libpmemobj++/
%_libdir/libpmemobj++/

%files devel-doc
%_docdir/%name/

%changelog
* Wed Feb  6 2019 nmoreychaisemartin@suse.com
- Conflict with former libpmemobj++-devel (bsc#1124441)
* Tue Nov  6 2018 Jan Engelhardt <jengelh@inai.de>
- C++ bindings have been split off pmdk to a separate package
  (libpmemobj-cpp), version 1.5
